<?php

//Clase: Orden de Servicio
class clase_salida_varia
{
	var $nom_tabla = 'dgrequie';
	var $nom_tabla_detalle = 'dgrequid';
	var  $fol_ven = '0';
	var  $folio_control = '0';
	var  $acc_fec = '0';
	var  $acc_hor = '0';
	var  $usuario = '0';
//Funcion de Revision
	//function revisar(){
		/*$sql = "SELECT * FROM $this->nom_tabla WHERE nombre like '$this->nombre' and moduloa = '".$_SESSION['area']."'";
	   	@$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	@$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			return "ok";	
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . " : " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
//Funcion de Agregar
	function agregar(){
		$sql = "INSERT INTO $this->nom_tabla (nombre, fec_alt, passwor, moduloa,acc_fec, acc_hor, usuario)values('$this->nombre', '".date('Y-m-d')."', '$this->passwor', '".$_SESSION['area']."', '".date('Y-m-d')."', '".date('H:i:s')."','".$_SESSION['num_usu']."')";
	   	@$result = mysqli_query($GLOBALS['con'] ,$sql);
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . " : " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista Completa
	function lista_completa(){
		$sql= "SELECT * FROM $this->nom_tabla";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda($cve_rec){
		$sql= "SELECT * FROM $this->nom_tabla WHERE cve_rec = '$cve_rec' and moduloa = '".$_SESSION['area']."'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}*/
//Funcion de Modificar
 var  $fec_ven = '0';
function modificar($fol_ven){
		$sql = "UPDATE $this->nom_tabla SET  folio_control = '$this->folio_control',fec_ven = '$this->fec_ven', tip_ven = '$this->tip_ven',   acc_fec = '".date('Y-m-d')."', acc_hor =  '".date('H:i:s')."', usuario = '".$_SESSION['num_usu']."' where fol_ven = '$fol_ven'";
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		//echo $sql;
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
	
	function modificardetalle($fol_ven){
		$sql = "UPDATE $this->nom_tabla_detalle SET  fec_ven = '$this->fec_ven' where cons_ven = '$fol_ven'";
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		//echo $sql;
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($cve_rec){   
		$sql = "DELETE FROM $this->nom_tabla WHERE cve_rec = '$cve_rec'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}           
	}   
}       
?>
